Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

Debugging Qt application

Hi, I am trying to debug an application that uses a Qt framework (enaml) which uses Qt API version 2. Once the debugging session starts I get the following error: "ValueError: API 'QDate' has already been set to version 1" The application runs correctly when lunched from the command line. My guess is that wingide already sets the API version. Is it possible to change this behavior (I cannot change the API version that my application uses)? Thanks, Amit    

Debugging Qt application

Hi, I am trying to debug an application that uses a Qt framework (enaml) which uses Qt API version 2. Once the debugging session starts I get the following error: error:

"ValueError: API 'QDate' has already been set to version 1"

The application runs correctly when lunched from the command line. line.

My guess is that wingide already sets the API version. Is it possible to change this behavior (I cannot change the API version that my application uses)? Thanks, Amit    uses)?

Thanks,

Amit

Debugging Qt application

Hi, I am trying to debug an application that uses a Qt framework (enaml) which uses Qt API version 2. Once the debugging session starts I get the following error:

"ValueError: API 'QDate' has already been set to version 1"

The application runs correctly when lunched from the command line.

My guess is that wingide already sets the API version. Is it possible to change this behavior (I cannot change the API version that my application uses)?

Thanks,

Amit